Bug 217845 - setools can't open version 21 policies
setools can't open version 21 policies
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-11-30 06:44 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-07 20:06:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-11-30 06:44:32 EST
+++ This bug was initially created as a clone of Bug #212807 +++

apol/seaudit/sediffx/etc. can't open policy.21 file (they all give me variations
on "The selected file does not appear to be a valid SELinux Policy").

-- Additional comment from dwalsh@redhat.com on 2006-10-30 15:38 EST --
Fixed in setools-3.0-2.fc6

Can be reproduced on RHEL5 beta2:

# seinfo -A || echo "Failed"
# sediff /etc/selinux/targeted/policy/policy.21 
Problem opening first policy file: /etc/selinux/targeted/policy/policy.21
Comment 1 RHEL Product and Program Management 2006-11-30 07:00:44 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 2 Daniel Walsh 2006-11-30 12:39:32 EST
Fixed in setools-3.0-3
Comment 3 Jay Turner 2007-01-10 22:52:26 EST
QE ack for RHEL5.
Comment 4 RHEL Product and Program Management 2007-02-07 20:06:38 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.